package com.csg.cs.ws.locator;


public class SEIContextImpl implements SEIContext {
  private String interfaceGroup;
  private boolean interfaceGroupIsReadOnly = false;

  private String targetBUId;
  private boolean targetBUIdIsReadOnly = false;
  
  private String interf;
  private boolean interfIsReadOnly = false;

  public SEIContextImpl() {
    this(null ,null, null);
  }
  
  public SEIContextImpl(String targetBUId, String interfaceGroup, String interf) {
    if (targetBUId != null) {
      this.targetBUId = targetBUId;
      targetBUIdIsReadOnly = true;
    }
    if (interfaceGroup != null) {
      this.interfaceGroup = interfaceGroup;
      interfaceGroupIsReadOnly = true;
    }
    if (interf != null) {
      this.interf = interf;
      interfIsReadOnly = true;
    }
  }
  
  public String getInterfaceGroup() {
    return interfaceGroup;
  }

  public String getTargetBUId() {
    return targetBUId;
  }

  public void setInterfaceGroup(String interfaceGroup) {
    if (interfaceGroupIsReadOnly) {
      throw new IllegalStateException("interfaceGroup is read only");
    }
    this.interfaceGroup = interfaceGroup;
  }

  public void setTargetBUId(String targetBUId) {
    if (targetBUIdIsReadOnly) {
      throw new IllegalStateException("targetBUId is read only");
    }
    this.targetBUId = targetBUId;
  }

  public String getinterface() {
    return interf;
  }

  public void setInterface(String interf) {
    if (interfIsReadOnly) {
      throw new IllegalStateException("interface is read only");
    }
    this.interf = interf;
  }
  
  public void clear() {
    if (!interfaceGroupIsReadOnly) {
      interfaceGroup = null;
    }
    if (!targetBUIdIsReadOnly) {
      targetBUId = null;
    }
    if (!interfIsReadOnly) {
      interf = null;
    }
  }
  
  public void copyTo(SEIContext destContext) {
    destContext.setInterface(interf);
    destContext.setInterfaceGroup(interfaceGroup);
    destContext.setTargetBUId(targetBUId);
  }

}
