package com.csg.cs.ws.locator.bridge;

import javax.xml.ws.WebServiceException;

import com.csg.cs.corex.locator.LocatorHelper;
import com.csg.cs.ws.locator.SEILocator;

/**
 * 
 * @author A530732
 * 
 * @param <SEI>
 *          Generated JAW-WS service end-point interface (port type)
 */
public final class EjbSEILocator<SEI> implements SEILocator<SEI> {

  /**
   * Generated JAX-WS service end-point interface class.
   */
  private Class<SEI> seiClass = null; // 

  private String jndiName = null;

  /**
   * 
   * @param serviceEndpointInterfaceClass
   *          JAX-WS generated end-point interface (port type) class
   * @param jndiName
   *          the JNDI context path to lookup ejb.
   */
  public EjbSEILocator(Class<SEI> serviceEndpointInterfaceClass, String jndiName) {
    this.seiClass = serviceEndpointInterfaceClass;
    this.jndiName = jndiName;
  }

  /**
   */
  @SuppressWarnings( {"deprecation", "unchecked"})
  public SEI getSEI() {
    try {
      return (SEI)LocatorHelper.getServiceLocatorInstance().getRemoteObject(
          jndiName, (Class)seiClass);
    } catch (Exception e) {
      throw new WebServiceException("EJB lookup using JNDI name '" + jndiName
          + "' failed", e);
    }
  }

}
