package com.csg.cs.ws.locator.jse;

/**
 * Extracts the principal using CFW method
 * ContextAccessor.getCoreContext().getPID().
 * 
 * @author A530732
 * 
 */
public final class CfwPrincipalProvider implements PrincipalProvider {

  @Override
  public String getPrincipal() throws Exception {
    return com.csg.cs.core.base.ctx.ContextAccessor.getCoreContext().getPID();
  }

  /**
   * Method suitable to check whether CFW is available.
   */
  public static boolean isAvailable() {
    try {
      com.csg.cs.core.base.ctx.ContextAccessor.getCoreContext();
    } catch (NoClassDefFoundError e) {
      return false;
    }
    return true;
  }

}
