package com.csg.cs.ws.locator.jse;

import java.security.PrivateKey;
import java.security.cert.X509Certificate;

import org.opensaml.saml1.core.Assertion;
import org.w3c.dom.Element;

/**
 * A WS-Security token propagator that creates an signed SAML 1.1 assertion in
 * header of a web service request. <br>
 * The implementation is completely based on openSAML.
 * 
 * @author A530732
 * @see OpenSamlSignedSaml11Propagator2
 */
public class OpenSamlSignedSaml11Propagator extends
    OpenSamlUnsignedSaml11Propagator implements SigningWsSecurityPropagator {

  private PrivateKey key = null;

  private X509Certificate certificate = null;

  @Override
  protected void marshallAssertion(Assertion assertion, Element parentElement)
      throws Exception {
    getSamlUtility()
        .signAndMarshall(assertion, parentElement, key, certificate);
  }

  @Override
  public void setSigningCredentials(PrivateKey key, X509Certificate certificate) {
    this.key = key;
    this.certificate = certificate;
  }

}
