package com.csg.cs.ws.locator.jse;

/**
 * A {@link PrincipalProvider} that provides the prinicpal from a ThreadLocal.
 * The method {@link #setPrincipal(String)} has to be used per thread to set the
 * principal that should be provided.
 * 
 * @author A530732
 * 
 */
public final class ThreadLocalPrincipalProvider extends ThreadLocal<String>
    implements PrincipalProvider {

  @Override
  public String getPrincipal() throws Exception {
    return get();
  }

  public void setPrincipal(String principal) {
    set(principal);
  }

}
