package com.csg.cs.ws.locator.jse;

import javax.xml.ws.handler.soap.SOAPMessageContext;

/**
 * A SecurityPropagator is used to propagate the security context (i.e. a
 * WS-Security UNTP or SAML based token)
 * 
 * @author A530732
 * 
 */
public interface WsSecurityPropagator {

  /**
   * Sets the principalProvider used in propagation.
   * 
   * @param principalProvider
   */
  public void setPrincipalProvider(PrincipalProvider principalProvider);

  /**
   * Propagates the WSSE security assertion.
   */
  public void propagate(SOAPMessageContext context) throws Exception;

}
